Subject: bug#24109: 24.5; Long lines in message mode make Emacs irresponsive

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jul 2016 18:55:31 +0300

> From: Christophe Troestler <[email-masked]>
> CC: <[email-masked]>, <[email-masked]>
> Date: Sat, 30 Jul 2016 13:38:53 +0100
> 
> Eli Zaretskii writes:
> >> https://github.com/djcb/mu/issues/880
> >
> >  Thanks, but I don't think I understand what kind of display 
> >  corruption did you see,
> 
> The corruption is not with the display but with the presentation of the headers (should be aligned left).  See the attached image.

I must be blind, because they do seem aligned to the left.  Could you
please point to the header that isn't?

In any case, alignment of the headers is most probably an mu4e issue,
unless you can present an Emacs-only recipe that shows something
similar.

> > and I see nothing wrong in the backtrace posted there.
> >  So more details are required to understand what's going on here.
> 
> The problem is that, when moving the point to the headers view and, say, 
> pressing C-a, Emacs becomes *unresponsive*, even C-g does not work — I 
> have to kill it.

I understand, but the backtrace doesn't show anything unusual.  All I
see is Emacs's display engine merging faces for displaying some buffer
text.

Can you show a Lisp backtrace in this situation?  You should be able
to obtain it by the "xbacktrace" GDB command (you may need to "source
src/.gdbinit" from the Emacs source tree, for that command to be
available).

> >  Also, would you mind trying the 25.1 release candidate, to see if the 
> >  problem still exists there?
> 
> I compiled Emacs from the Git repository and the problem still exists.

Thanks.